kontact does'nt start

clicking on the icon doesn’t produce anything, from konsole produce this:

pla@pla4-TW:~> kontact 
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
kf5.kwidgetsaddons: Invalid framesize.
kf5.kwidgetsaddons: Invalid framesize.
Found no modules in speech-dispatcher. No text to speech possible.
kf5.kwidgetsaddons: Invalid framesize.
kf5.kwidgetsaddons: Invalid framesize.
kontact: symbol lookup error: /usr/lib64/qt5/plugins/kmail/kmail_expertplugin.so: undefined symbol: _ZN9PimCommon22GenericPluginInterface13addActionTypeERKNS_10ActionTypeE
pla@pla4-TW:~> 


how can I have kontact working?

Please post:

zypper lr -d
zypper se -si kmail kontact

here is:

pla@pla4-TW:~> zypper lr -d
#  | Alias                              | Name                                                 | Enabled | GPG Check | Refresh | Priority | Type     | URI                                                                                                      | Service
---+------------------------------------+------------------------------------------------------+---------+-----------+---------+----------+----------+----------------------------------------------------------------------------------------------------------+--------
 1 | KDE_Frameworks5_openSUSE_Leap_15.0 | KDE:/Applications/KDE_Frameworks5                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.1/          |        
 2 | isv_TUXEDO                         | TUXEDO (openSUSE_Leap_15.1)                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/isv:/TUXEDO/openSUSE_Leap_15.1/                                |        
 3 | openSUSE-Leap-15.0-1               | openSUSE-Leap-15.0-1                                 | No      | ----      | ----    |   99     | rpm-md   | hd:/?device=/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_4C531001620725123503-0:0-part2                      |        
 4 | openSUSE_Leap_15.0                 | KDE:/Extra                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.1/                                 |        
 5 | openSUSE_Leap_15.0_1               | KDE:/Frameworks5                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.1/                           |        
 6 | openSUSE_Leap_15.0_10              | suse-Printing_(hplip_cups)                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Printing/openSUSE_Leap_15.1/                                   |        
 7 | openSUSE_Leap_15.0_11              | suse-Publishing_(pdfchain)                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Publishing/openSUSE_Leap_15.1/                                 |        
 8 | openSUSE_Leap_15.0_12              | suse-Virtualization_(virtualbox)                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Virtualization/openSUSE_Leap_15.1/                             |        
 9 | openSUSE_Leap_15.0_13              | suse-filesystems                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/filesystems/openSUSE_Leap_15.1/                                |        
10 | openSUSE_Leap_15.0_14              | suse-hardware_(cyanogen)                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/hardware/openSUSE_Leap_15.1/                                   |        
11 | openSUSE_Leap_15.0_15              | suse-network_(nextcloud)                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/network/openSUSE_Leap_15.1/                                    |        
12 | openSUSE_Leap_15.0_16              | suse-security:/chipcard(PCSClite)                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/security:/chipcard/openSUSE_Leap_15.1/                         |        
13 | openSUSE_Leap_15.0_2               | KDE:/Qt5                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.1/                                   |        
14 | openSUSE_Leap_15.0_3               | GNOME:/Apps                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Leap_15.1/                                |        
15 | openSUSE_Leap_15.0_4               | packman.inode.at-suse                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://packman.inode.at/suse/openSUSE_Leap_15.1/                                                         |        
16 | openSUSE_Leap_15.0_5               | home:/AndnoVember:/LXQT/_(copyq)                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/home:/AndnoVember:/LXQT/openSUSE_Leap_15.1/                    |        
17 | openSUSE_Leap_15.0_7               | home:/wolfi323:/branches:/KDE:/Frameworks5_(beclock) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Leap_15.1/ |        
18 | openSUSE_Leap_15.0_8               | suse-Libdvdcss Repository                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://opensuse-guide.org/repo/openSUSE_Leap_15.1/                                                       |        
19 | openSUSE_Leap_15.0_9               | suse-Emulators:/Wine                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_15.1/                            |        
20 | repo-debug                         | openSUSE-Leap-15.1-Debug                             | No      | ----      | ----    |   99     | rpm-md   | http://download.opensuse.org/debug/distribution/leap/15.1/repo/oss/                                      |        
21 | repo-debug-non-oss                 | openSUSE-Leap-15.1-Debug-Non-Oss                     | No      | ----      | ----    |   99     | rpm-md   | http://download.opensuse.org/debug/distribution/leap/15.1/repo/non-oss/                                  |        
22 | repo-debug-update                  | openSUSE-Leap-15.1-Update-Debug                      | No      | ----      | ----    |   99     | rpm-md   | http://download.opensuse.org/debug/update/leap/15.1/oss/                                                 |        
23 | repo-debug-update-non-oss          | openSUSE-Leap-15.1-Update-Debug-Non-Oss              | No      | ----      | ----    |   99     | rpm-md   | http://download.opensuse.org/debug/update/leap/15.1/non-oss/                                             |        
24 | repo-non-oss                       | openSUSE-Leap-15.1-Non-Oss                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/                                        |        
25 | repo-nvidia-tuxedo                 | TUXEDO Computers - 15.1 NVIDIA                       | No      | ----      | ----    |   99     | rpm-md   | http://nvidia.tuxedocomputers.com/opensuse/15.1                                                          |        
26 | repo-oss                           | openSUSE-Leap-15.1-Oss                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/distribution/leap/15.1/repo/oss/                                            |        
27 | repo-source                        | openSUSE-Leap-15.1-Source                            | No      | ----      | ----    |   99     | rpm-md   | http://download.opensuse.org/source/distribution/leap/15.1/repo/oss/                                     |        
28 | repo-source-non-oss                | openSUSE-Leap-15.1-Source-Non-Oss                    | No      | ----      | ----    |   99     | rpm-md   | http://download.opensuse.org/source/distribution/leap/15.1/repo/non-oss/                                 |        
29 | repo-update                        | openSUSE-Leap-15.1-Update                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.1/oss/                                                       |        
30 | repo-update-non-oss                | openSUSE-Leap-15.1-Update-Non-Oss                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.1/non-oss/                                                   |        
31 | repositoryTW                       | local_repositoryTW2                                  | Yes     | ( p) Yes  | Yes     |   99     | plaindir | dir:/dati/impo-conf/repositoryTW2                                                                        |        
32 | x86_64                             | google_(chrome)                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                      |        
pla@pla4-TW:~> 

and here is:

pla@pla4-TW:~> zypper se -si kmail kontact
Loading repository data...
Reading installed packages...

S  | Name                      | Type    | Version              | Arch   | Repository       
---+---------------------------+---------+----------------------+--------+------------------
i+ | kmail                     | package | 19.07.80-lp151.113.1 | x86_64 | (System Packages)
i+ | kmail-account-wizard      | package | 19.07.80-lp151.92.1  | x86_64 | (System Packages)
i+ | kmail-account-wizard-lang | package | 19.07.80-lp151.92.1  | noarch | (System Packages)
i+ | kmail-application-icons   | package | 19.07.80-lp151.113.1 | x86_64 | (System Packages)
i+ | kmail-lang                | package | 19.07.80-lp151.113.1 | noarch | (System Packages)
i+ | kmail5-lang               | package | 19.07.80-lp151.206.1 | noarch | (System Packages)
i+ | kmailtransport            | package | 19.07.80-lp151.137.1 | x86_64 | (System Packages)
i+ | kmailtransport-lang       | package | 19.07.80-lp151.137.1 | noarch | (System Packages)
i+ | kontact                   | package | 19.07.80-lp151.93.1  | x86_64 | (System Packages)
i+ | kontact-lang              | package | 19.07.80-lp151.93.1  | noarch | (System Packages)
i+ | kontact5-lang             | package | 19.07.80-lp151.160.1 | noarch | (System Packages)
i+ | kontactinterface-lang     | package | 19.07.80-lp151.125.1 | noarch | (System Packages)
i+ | libKF5KontactInterface5   | package | 19.07.80-lp151.125.1 | x86_64 | (System Packages)
pla@pla4-TW:~> 


Sorry to say so, but again you have a mix of packages from various added repos.

Column Repository points to obsolete packages (System Packages). Delete them and make sure you have them installed from main repository:

erlangen:~ # zypper se -si kmail kontact
Loading repository data...
Reading installed packages...

S  | Name                      | Type    | Version     | Arch   | Repository            
---+---------------------------+---------+-------------+--------+-----------------------
i+ | kmail                     | package | 19.04.3-2.1 | x86_64 | Haupt-Repository (OSS)
i+ | kmail-account-wizard      | package | 19.04.3-2.1 | x86_64 | Haupt-Repository (OSS)
i  | kmail-account-wizard-lang | package | 19.04.3-2.1 | noarch | Haupt-Repository (OSS)
i+ | kmail-application-icons   | package | 19.04.3-2.1 | x86_64 | Haupt-Repository (OSS)
i+ | kmail-lang                | package | 19.04.3-2.1 | noarch | Haupt-Repository (OSS)
i+ | kmailtransport            | package | 19.04.3-2.1 | x86_64 | Haupt-Repository (OSS)
i  | kmailtransport-lang       | package | 19.04.3-2.1 | noarch | Haupt-Repository (OSS)
i+ | kontact                   | package | 19.04.3-2.1 | x86_64 | Haupt-Repository (OSS)
i  | kontact-lang              | package | 19.04.3-2.1 | noarch | Haupt-Repository (OSS)
i  | kontactinterface-lang     | package | 19.04.3-1.1 | noarch | Haupt-Repository (OSS)
i+ | libKF5KontactInterface5   | package | 19.04.3-1.1 | x86_64 | Haupt-Repository (OSS)
erlangen:~ # 

hi karl, I did, but kontact, kaddressbook and kmail doesn’t works, here is the konsole output:

pla@pla4-TW:~> zypper se -si kmail kontact
Loading repository data...
Reading installed packages...

S  | Name                      | Type    | Version           | Arch   | Repository            
---+---------------------------+---------+-------------------+--------+-----------------------
i+ | kmail                     | package | 18.12.3-lp151.2.1 | x86_64 | openSUSE-Leap-15.1-Oss
i+ | kmail-account-wizard      | package | 18.12.3-lp151.1.2 | x86_64 | openSUSE-Leap-15.1-Oss
i+ | kmail-account-wizard-lang | package | 18.12.3-lp151.1.2 | noarch | openSUSE-Leap-15.1-Oss
i+ | kmail-application-icons   | package | 18.12.3-lp151.2.1 | x86_64 | openSUSE-Leap-15.1-Oss
i+ | kmail-lang                | package | 18.12.3-lp151.2.1 | noarch | openSUSE-Leap-15.1-Oss
i+ | kmailtransport            | package | 18.12.3-lp151.1.1 | x86_64 | openSUSE-Leap-15.1-Oss
i+ | kmailtransport-lang       | package | 18.12.3-lp151.1.1 | noarch | openSUSE-Leap-15.1-Oss
i+ | kontact                   | package | 18.12.3-lp151.1.2 | x86_64 | openSUSE-Leap-15.1-Oss
i+ | kontact-lang              | package | 18.12.3-lp151.1.2 | noarch | openSUSE-Leap-15.1-Oss
i+ | kontactinterface-lang     | package | 18.12.3-lp151.1.1 | noarch | openSUSE-Leap-15.1-Oss
i+ | libKF5KontactInterface5   | package | 18.12.3-lp151.1.1 | x86_64 | openSUSE-Leap-15.1-Oss

pla@pla4-TW:~> kontact
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
kf5.kwidgetsaddons: Invalid framesize.
kf5.kwidgetsaddons: Invalid framesize.
Found no modules in speech-dispatcher. No text to speech possible.
Use of deprecated not thread-safe setter, use setUrlRequestInterceptor instead.
kf5.kwidgetsaddons: Invalid framesize.
kf5.kwidgetsaddons: Invalid framesize.
kontact: symbol lookup error: /usr/lib64/qt5/plugins/kmail/kmail_expertplugin.so: undefined symbol: _ZN9PimCommon22GenericPluginInterface13addActionTypeENS_10ActionTypeE

pla@pla4-TW:~> kaddressbook 
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
kaddressbook: symbol lookup error: kaddressbook: undefined symbol: _ZN16KontactInterface20PimUniqueApplication5startERK11QStringList

pla@pla4-TW:~> kmail
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
Icon theme "Tango2" not found.
Icon theme "Breeze" not found.
org.kde.pim.kidentitymanagement: IdentityManager: There was no default identity. Marking first one as default.
kf5.kwidgetsaddons: Invalid framesize.
kf5.kwidgetsaddons: Invalid framesize.
Found no modules in speech-dispatcher. No text to speech possible.
Use of deprecated not thread-safe setter, use setUrlRequestInterceptor instead.
kf5.kwidgetsaddons: Invalid framesize.
kf5.kwidgetsaddons: Invalid framesize.
kmail: symbol lookup error: /usr/lib64/qt5/plugins/kmail/kmail_expertplugin.so: undefined symbol: _ZN9PimCommon22GenericPluginInterface13addActionTypeENS_10ActionTypeE
pla@pla4-TW:~> 


I’m not able to install the 19.4.3 version as you did

Gave the live system a try which happily runs

erlangen:~ # grep kmail /run/media/karl/cow/rw/var/log/zypp/history
2019-08-15 17:46:06|command|root@linux.fritz.box|'zypper' 'in' 'kmail'|
2019-08-15 17:46:19|install|kmail-application-icons|18.12.3-lp151.3.7.1|x86_64||repo-update|fa846a2f1848f2e2313afb1a6ca1d7126cb112321e9251c536519dbec0d26793|
2019-08-15 17:46:24|install|kmailtransport|18.12.3-lp151.1.1|x86_64||repo-oss|f62b31f5fca565f74c763fefc1e5ba58fdf951a1540b5a8ea1c5b5d248ca1adb|
2019-08-15 17:46:25|install|kmailtransport-lang|18.12.3-lp151.1.1|noarch||repo-oss|39d6466f0959f33ee9983ea9fe470157d7a68dddf77f7999a2b0a7867b63a81b|
2019-08-15 17:46:27|install|kmail-account-wizard|18.12.3-lp151.1.2|x86_64||repo-oss|62f1f6191c0205484e138a1e53ce74d928d4743792937a9c023201a5ae0148d1|
2019-08-15 17:46:29|install|kmail-account-wizard-lang|18.12.3-lp151.1.2|noarch||repo-oss|c5211d72bce87f813c0a04c95dc7cdf6329ebf9808a7e04daa9abf201dbdeef9|
2019-08-15 17:46:48|install|kmail|18.12.3-lp151.3.7.1|x86_64|root@linux.fritz.box|repo-update|50fa194d35fd180e755a4f495a8c3119fc83dbb229523c1565a5c5ed331c22e1|
2019-08-15 17:46:51|install|kmail-lang|18.12.3-lp151.3.7.1|noarch||repo-update|1c843a3ea4b1916523f07ab1733ddae10e6ab566b536a0047a99cc21ce6e61ee|
erlangen:~ # grep -i kontact /run/media/karl/cow/rw/var/log/zypp/history
2019-08-15 17:46:08|install|libKF5KontactInterface5|18.12.3-lp151.1.1|x86_64||repo-oss|8177078ad350e3d5281202e3e31a5702850b726540e5ca7dd22928e74915bbec|
2019-08-15 17:46:10|install|kontactinterface-lang|18.12.3-lp151.1.1|noarch||repo-oss|68369d7009d32c776d860a612b3e4b4f140e0976741b41df4b51007567c7ae85|
2019-08-15 17:46:36|install|kontact|18.12.3-lp151.1.2|x86_64||repo-oss|d38e1cb609188bed4192d4b054cdac90e9ef57bb36ee5ec54d9963445f634328|
2019-08-15 17:46:51|install|kontact-lang|18.12.3-lp151.1.2|noarch||repo-oss|dc728957d9070664a58b1f130646c4cdbf7bb6c1333a235a178d1cd176bd54cf|
erlangen:~ # 

You may check your list of repos. Mine is:

erlangen:~ # grep -ir baseurl /run/media/karl/cow/rw/etc/zypp/repos.d/
/run/media/karl/cow/rw/etc/zypp/repos.d/repo-update.repo:baseurl=http://download.opensuse.org/update/leap/15.1/oss/
/run/media/karl/cow/rw/etc/zypp/repos.d/repo-update-non-oss.repo:baseurl=http://download.opensuse.org/update/leap/15.1/non-oss/
/run/media/karl/cow/rw/etc/zypp/repos.d/repo-non-oss.repo:baseurl=http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/
/run/media/karl/cow/rw/etc/zypp/repos.d/repo-oss.repo:baseurl=http://download.opensuse.org/distribution/leap/15.1/repo/oss/
erlangen:~ # 

manythanks karl, I did >yast>software management>repositories tab>repository KDE:/Applications/KDE_Frameworks5>switch system packages and now everything works :slight_smile:

pla@pla4-TW:~> zypper se -si kmail kontact
Loading repository data...
Reading installed packages...

S  | Name                      | Type    | Version             | Arch   | Repository                                          
---+---------------------------+---------+---------------------+--------+-----------------------------------------------------
i+ | kmail                     | package | 19.08.0-lp151.115.1 | x86_64 | KDE:/Applications/KDE_Frameworks5                   
i+ | kmail-account-wizard      | package | 19.08.0-lp151.94.1  | x86_64 | KDE:/Applications/KDE_Frameworks5                   
i+ | kmail-account-wizard-lang | package | 19.08.0-lp151.94.1  | noarch | KDE:/Applications/KDE_Frameworks5                   
i+ | kmail-application-icons   | package | 19.08.0-lp151.115.1 | x86_64 | KDE:/Applications/KDE_Frameworks5                   
i+ | kmail-lang                | package | 19.08.0-lp151.115.1 | noarch | KDE:/Applications/KDE_Frameworks5                   
i  | kmail5-lang               | package | 19.08.0-lp151.211.1 | noarch | home:/wolfi323:/branches:/KDE:/Frameworks5_(beclock)
i+ | kmailtransport            | package | 19.08.0-lp151.139.1 | x86_64 | KDE:/Applications/KDE_Frameworks5                   
i+ | kmailtransport-lang       | package | 19.08.0-lp151.139.1 | noarch | KDE:/Applications/KDE_Frameworks5                   
i+ | kontact                   | package | 19.08.0-lp151.95.1  | x86_64 | KDE:/Applications/KDE_Frameworks5                   
i+ | kontact-lang              | package | 19.08.0-lp151.95.1  | noarch | KDE:/Applications/KDE_Frameworks5                   
i  | kontact5-lang             | package | 19.08.0-lp151.166.1 | noarch | home:/wolfi323:/branches:/KDE:/Frameworks5_(beclock)
i+ | kontactinterface-lang     | package | 19.08.0-lp151.127.1 | noarch | KDE:/Applications/KDE_Frameworks5                   
i+ | libKF5KontactInterface5   | package | 19.08.0-lp151.127.1 | x86_64 | KDE:/Applications/KDE_Frameworks5                   
pla@pla4-TW:~> 


I don’t know why automatically installed kmail5-lang and kontact5-lang

Might be stale packages. Presumably were recommended at an earlier time and are obsolete now. You can safely delete them.